%define realversion B.0%{version}

Name:		lshw
Version:	2.18
Release:	%mkrel 5
Summary:	A HardWare LiSter
License:	GPLv2
Url:		https://ezix.org/project/wiki/HardwareLiSter
Source0:	https://ezix.org/software/files/%{name}-%{realversion}.tar.gz
Source1:	org.ezix.lshw.gui.policy
Source2:	lshw-gui
Patch0:		lshw-B.02.18-build.patch
Group:		System/Kernel and hardware
Requires:	ldetect-lst >= 0.1.282
BuildRequires:	pkgconfig(sqlite3)

%description
lshw (HardWare LiSter) is a small tool to provide detailed information
on the hardware configuration of the machine.
It can report:
- exact memory configuration
- firmware version
- mainboard configuration
- CPU version and speed
- cache configuration
- bus speed
- ...
on DMI-capable x86 or EFI (IA-64) systems.

%package gui
Summary:	HardWare LiSter (GUI Frontend)
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}
Requires:	gtk2
BuildRequires:	gtk2-devel
%description gui
This package provides a graphical user interface to lshw.

%prep
%setup -q -n %{name}-%{realversion}
%autopatch -p1
# Ugly since 2.07 default rights are messed
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make SQLITE=1 gui

%install
%makeinstall DESTDIR=%{buildroot} SQLITE=1
%make_build install-gui DESTDIR=%{buildroot} SQLITE=1

# packaged as part of ldetect-lst
rm -f %{buildroot}%{_datadir}/lshw/{oui.txt,*.ids}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -D -m 0644 src/gui/artwork/logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_datadir}/applications/
install -D -m 0644 src/gui/integration/gtk-%{name}.desktop %{buildroot}%{_datadir}/applications/
sed -i 's@/usr/share/lshw/artwork/logo.svg@%{name}@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@/usr/bin/gtk-%{name}@%{_sbindir}/%{name}-gui@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@Application;System;X-Red-Hat-Base;X-Fedora;@Application;GTK;System;@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop 

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.ezix.lshw.gui.policy
install -D -m 0755 %{SOURCE2} %{buildroot}%{_sbindir}/%{name}-gui

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README.md docs/*
%{_sbindir}/%{name}
%{_datadir}/%{name}/manuf.txt
%{_mandir}/man1/%{name}.*

%files gui
%doc COPYING
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/gtk-%{name}.desktop
%{_datadir}/polkit-1/actions/org.ezix.%{name}.gui.policy


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.18-5.mga10
+ Revision: 2211313
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 2.18-4.mga9
+ Revision: 1828214
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.18-3.mga8
+ Revision: 1514890
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.18-2.mga7
+ Revision: 1299355
- Mageia 7 Mass Rebuild

* Fri Aug 26 2016 bcornec <bcornec> 2.18-1.mga6
+ Revision: 1048963
- Update to upstream lshw 2.18 with patch to fix build process reported upstream

* Wed Feb 03 2016 umeabot <umeabot> 2.17-5.mga6
+ Revision: 933606
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.17-4.mga5
+ Revision: 744670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.17-3.mga5
+ Revision: 682013
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.17-2.mga4
+ Revision: 539689
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 2.17-1.mga4
+ Revision: 492779
- new version 2.17
- update %%description
- clean specfile
- add .desktop and icon for gtk-lshw
- use pkexec (from fedora) to launch GUI from user
- add a patch to fix segfault in scan fat code

* Sat Jan 12 2013 umeabot <umeabot> 2.16-2.mga3
+ Revision: 359023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ mcb30 <mcb30>
- include support for "-dump" using an SQLite database

* Mon Jan 23 2012 guillomovitch <guillomovitch> 2.16-1.mga2
+ Revision: 199957
- new version
- spec cleanup

* Wed Jan 19 2011 erwan <erwan> 2.15-1.mga1
+ Revision: 24610
- imported package lshw


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.15-1mdv2011.0
+ Revision: 606689
- fix deps and file list
- B.02.15
- rebuild

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.14-3mdv2010.1
+ Revision: 487695
- ids file and oui.txt are now in ldetect-lst

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.14-2mdv2010.0
+ Revision: 426011
- rebuild

* Mon Feb 16 2009 Erwan Velu <erwan@mandriva.org> 2.14-1mdv2009.1
+ Revision: 340775
- Removing patch0 (upstream)
- 2.14

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 2.13-2mdv2009.0
+ Revision: 273415
- fix gcc4.3 build with P0 from gentoo

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.13-1mdv2009.0
+ Revision: 205945
- New version, remove patch integrated upstream
- Adapt to new license policy

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 2.12.01-2mdv2008.1
+ Revision: 183678
- fix hang in PCI capabilities read (#36696, upstream ticket 340)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Erwan Velu <erwan@mandriva.org> 2.12.01-1mdv2008.1
+ Revision: 111046
- Adding source
- 2.12.01

* Tue Aug 21 2007 Erwan Velu <erwan@mandriva.org> 2.11.01-1mdv2008.0
+ Revision: 68450
- 2.11

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 2.10-1mdv2008.0
+ Revision: 17461
- 2.10


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 2.09-1mdv2007.0
+ Revision: 109237
- 2.09
- Import lshw

* Fri Jun 23 2006 Erwan Velu <erwan@seanodes.com> 2.08-1mdk
- 2.08

* Thu Mar 16 2006 Erwan Velu <erwan@seanodes.com> 2.07-2mdk
- Oups, fixing some rights

* Thu Mar 16 2006 Erwan Velu <erwan@seanodes.com> 2.07-1mdk
- 2.0.7

* Fri Oct 21 2005 Erwan Velu <erwan@seanodes.com> 2.06-1mdk
- 2.06

* Sat Aug 27 2005 Pixel <pixel@mandriva.com> 2.05-2mdk
- .svg files are not the text version (are they used by the gui?)

* Sat Jul 23 2005 Erwan Velu <velu@seanodes.com> 2.05-1mdk
- 2.05

* Thu May 12 2005 Erwan Velu <velu@seanodes.com> 2.04-1mdk
- 2.04

* Sun Feb 13 2005 Erwan Velu <velu@seanodes.com> 2.03-2mdk
- REbuild

* Sat Feb 05 2005 Erwan Velu <velu@seanodes.com> 2.03-1mdk
- 2.03

* Fri Jan 21 2005 Erwan Velu <velu@seanodes.com> 2.02-1mdk
- 2.02

* Wed Jan 05 2005 Erwan Velu <velu@seanodes.com> 2.00-1mdk
- Happy new year
- 2.00 \o/
- Adding gui

* Sun Dec 19 2004 Erwan Velu <velu@seanodes.com> 1.09-1mdk
- 1.09

* Wed Sep 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.08-1mdk
- 1.08
- Removing patches 0 & 1

* Fri Aug 20 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-6mdk
- Bzipping cpuinfos
- Adding dmi patch (now supporting chassis informations)

* Sat Jun 05 2004 <lmontel@mandrakesoft.com> 1.07-5mdk
- Rebuild

* Fri Jun 04 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-4mdk
- Adding patch for reading physical id & sibling on /proc/cpuinfo

* Wed May 19 2004 Robert Vojta <robert.vojta@mandrake.org> 1.07-3mdk
- ChangeLog entry fixed (1.0.7 -> 1.07)

* Wed May 19 2004 Robert Vojta <robert.vojta@mandrake.org> 1.07-2mdk
- Summary fix (#9793)

* Sat May 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-1mdk
- 1.07

* Wed Apr 21 2004 Erwan Velu <erwan@mandrakesoft.com> 1.06-1mdk
- 1.06

* Wed Feb 18 2004 Erwan Velu <erwan@mandrakesoft.com> 1.05-1mdk
- Initial mdk release

